Subject: [Shop-talk] Tool Dolly

From: "John T. Blair" <[email-masked]> 8Gkm5ImKukQd+s5VfqvHsq97EgD6Wb3V0YIx21nFODfKnramYArudC5d7ln6iWnYMOJNhKUrvmBzR/zDpc7jaqpTnhKh1qigzEQ=
Date: Sat, 26 Nov 2022 00:13:58 -0500

I've got a heavy, about 300 - 400 lb tablesaw I'd like to put on some sort of
casters so I can easily move it around in the shop.  Push it back 
into a corner
when not in use, roll it out into an open space to use, them push it back.

I've done some searching on-line and see one at Northern Tools:

https://www.amazon.com/SPACECARE-Telescopic-Furniture-Locking-Adjustable-STFD002/dp/B010UYRHRY/ref=sr_1_31 

and several on Amazon

https://www.amazon.com/SPACECARE-Locking-Telescopic-Furniture-Adjustable-STFD001/dp/B00ZW9P6BW/ref=sr_1_1_sspa 
300#

https://www.amazon.com/Ogrmar-Adjustable-Multi-functional-Telescopic-Refrigerator/dp/B077CYXJBQ/ref=sr_1_6 
500#

https://www.amazon.com/SPACECARE-Telescopic-Furniture-Locking-Adjustable-STFD002/dp/B010UYRHRY/ref=sr_1_31 
500#

In my search I've specifically said tool dolly.  But most of the items that
show up end up saying appliance dolly.

Anyone have any recommendations for a tool dolly.

John

John T. Blair  WA4OHZ     email:  [email-masked]
Va. Beach, Va                  Phone:  (757) 495-8229

           48 TR1800    48 #4 Midget    65 Morgan 4/4 Series V (B1106)
      75 Bricklin SV1 (#0887)    77 Spitfire    71 Saab Sonett III
                        65 Rambler Classic

Morgan:    http://autox.team.net/morgan/
Bricklin:     http://www.bricklin.org

If you can read this             - Thank a teacher!
If you are reading it in English - Thank a Vet!!

 From Dennis Prager - The American Trilogy:
      e pluribus Unum, "from many, one."
      In God We Trust
      Liberty - the  power  of  choosing,  thinking,  and  acting  for
                   oneself; freedom  from  control  or  restriction

-- 
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus

_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive